
set(hdrs
	include/pw/system/display.hpp
	include/pw/system/input.hpp
	include/pw/system/path.hpp
	include/pw/system/window.hpp
	)

set(srcs
	src/display.cpp
	src/path.cpp
	src/input.cpp
	src/window.cpp
	)

add_library(pwsystem
	STATIC
	${hdrs}
	${srcs}
	)

target_include_directories(
	pwsystem
	PUBLIC
	include
	)

target_link_libraries(pwsystem pwcore pwvisual glfw glad)

#add_subdirectory(tests)
